#include <CUnit/CUnit.h>
#include <CUnit/Basic.h>

/*
   #include <stdio.h>
   #include <sys/time.h>
   #include <sys/resource.h>
   #include <errno.h>
   #include <string.h>
   #include <stdlib.h>
   #include <unistd.h>
   #include <signal.h>
   #include <ctype.h>
   #include <sys/types.h>
   #include <sys/stat.h>
   #include <time.h>
 */

#include "test_initng.h"

int test_argc;
char **test_argv;
char **test_env;

int empty_init(void)
{
    return 0;
}

int empty_cleanup(void)
{
    return 0;
}

int main(int argc, char *argv[], char *env[])
{
    test_argc = argc;
    test_argv = argv;
    test_env = env;

    CU_initialize_registry();

    test_initng_toolbox_setup();
    test_process_db_setup();
    test_open_read_close_setup();
    test_initng_load_module_setup();

    /*CU_automated_run_tests(); */
    CU_basic_run_tests();

    CU_cleanup_registry();

    return 0;
}
